\section{Encryption}

\subsection{Vignere}

\subsection{Cesear}
The most common and also the most famous of all ciphers is the Casear cipher. The Caesar cipher is named after the legendary Roman emperor Julius Caesar, who used it to protect his military communications. It is a simple substitution cipher, where each letter corresponds to another letter a certain number of positions forward or backward in the alphabet. 

The easiest way to understand the Caesar cipher is to think of cycling the position of the letters. In a Caesar cipher with a shift of 3, A becomes D, B becomes E, C becomes F, etc. When reaching the end of the alphabet it cycles around, so X becomes A, Y becomes B and Z becomes C.

\begin{figure}[h!]
  \center
  \includegraphics[width=0.75\textwidth]{cesear}
  \caption{Cesear Cipher with a Shift of 3}
\end{figure}

This can also be mathematical represented. If we encode the characters of the alphabet from 0 to 25.

\[ E(char) = (x+n)mod 26 \]
\[ D(cipher) = (x-n)mod 26 \]

Where x=letter, n=shift value, 26=number of chars

\subsubsection{Keyed Cesear Cipher}
Due to its versatility, and ability to work with any alphabet, history has seen several variants of the Caesar cipher arise. In a slightly more secure variant, known as a keyed Caesar cipher, one writes a passphrase out, ignoring duplicate letters, then writes the remaining letters of the alphabet. Finally, all letters are shifted like in an ordinary Caesar cipher. This is more secure due to the more complex pattern of the letters.

\subsubsection{Breaking the Cipher}
Today it is very easy to break the Cesear Cipher and this is most of the time done with a simple brute force attack. 

The Keyed Cesear Cipher on the other hand become more difficult to brut force, although it's still very easy to break.

\begin{itemize}
	\item Create word list for a possible key and attempt brute force attack
	\item Employ frequency Analysis
\end{itemize}


\subsection{ROT13}

\subsection{One-Time Pad}

\subsection{Enigma}

\subsection{Frequency Analysis}